commit:     7d0e6f1c65292e5195ad535d7def9a218481e501
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 18 07:01:22 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Oct 18 07:01:22 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d0e6f1c

dev-python/oslo-i18n: bump for liberty

Package-Manager: portage-2.2.20.1

 dev-python/oslo-i18n/Manifest               |  1 +
 dev-python/oslo-i18n/oslo-i18n-2.6.0.ebuild | 66 +++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/oslo-i18n/Manifest b/dev-python/oslo-i18n/Manifest
index 073eefa..bc60d9a 100644
--- a/dev-python/oslo-i18n/Manifest
+++ b/dev-python/oslo-i18n/Manifest
@@ -3,3 +3,4 @@ DIST oslo.i18n-1.3.1.tar.gz 35050 SHA256 
8e1b9b3f87cea9e43a2414bb02d8c79b0a688c9
 DIST oslo.i18n-1.4.0.tar.gz 36140 SHA256 
a3d64e8d2b4235a457da2c6269d8c97e867a90ba7d938fe0ed3cfc792c8c87bb SHA512 
df1491bb4d98b9295c08f4b7dc18cfff2758834ff5edb9aa3bdc064e587ab475e7e060dc5212c5db1e7e2f34cc4177e5c713a4ac6908a9750f50dc6316105682
 WHIRLPOOL 
8e77849c0a8f3c5a7e5b314f756673f31a3464f2a65c35e8ad506fd0ce10430b2fea0fae97eaccfef258b74a24db2f86b0843575d25f3d3a84a3b19ae0c5ff12
 DIST oslo.i18n-1.5.0.tar.gz 36068 SHA256 
cd09da0780e45737b784bdc026ea705ad006e3c003aa5dfeab83f269b4ea0e70 SHA512 
20a640950b7e0eef69371eece396fc6b284c87e195b98a98ec689f207f9ab4f8a41c70cac1c64b0f68621742b6e9da8001d422f67242a3e03e6b4cf09d8add96
 WHIRLPOOL 
ce22737d5285abe18a7e62d01894da59f7d1068a0d16dd055ba62d40888bba7d1408f3d739bfa6a5da7f7149fc84f3794067db4562538f7cee99fca3871924ac
 DIST oslo.i18n-1.6.0.tar.gz 36136 SHA256 
29be916f3f4c79cca76d57e604a187b3020354a2ca89d486647b79d8a9adbb9e SHA512 
c3a338ce0e5f7fb22f193aa749b4d2402f394af6b010cbb8dddbe2ec259cf39ff8a31d1730da4517ec24208b1bf439af48b97bfdb34acfecd78876bb3f6f4ec1
 WHIRLPOOL 
50274047e4ee12dc4c823f23e3dd9c7459f381d7882339e8de4b743a67ae433e9a062b1042fc4304c9b9dd9544744a76d3139265f0d1cef8320e91cd7af2fc06
+DIST oslo.i18n-2.6.0.tar.gz 36063 SHA256 
b5fae03ebac2083180ecd5c7d651bea5c66924dbe2d6c90e1d835ad364dc7688 SHA512 
fc6c4d68fff1a540e7b23ea684d6ff45712d04f7c53e4f4d701bc05e15b18a1548735a32a016cd39b2080cb6053850debbdddc00b4294e6799727e1737e0520f
 WHIRLPOOL 
de0f3e57c774f6406f952e3c395f16809dfa60edf86f20139d6dd8e1843ebc08f7bb844bc75f5dad5f62518aa054e4a79e7327f086d31494f41c314e0894bd61

diff --git a/dev-python/oslo-i18n/oslo-i18n-2.6.0.ebuild 
b/dev-python/oslo-i18n/oslo-i18n-2.6.0.ebuild
new file mode 100644
index 0000000..5bb53e1
--- /dev/null
+++ b/dev-python/oslo-i18n/oslo-i18n-2.6.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="oslo.i18n library"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]
+       <dev-python/pbr-2.0[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i 's/python/python2\.7/g' tools/config/generate_sample.sh || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx
+}
+
+python_test() {
+       rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to